import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { PpUnicomCqWhiteLot } from '../models/index' 
/**
 * @author auto generate
 * @version 1.3
 * @date 2022-07-28 17:06
 */
interface PpUnicomCqWhiteLotCU extends ConditionUtil<PpUnicomCqWhiteLotCU>{
    LOT_ID:FieldUtil<PpUnicomCqWhiteLotCU>;
    CREATE_TIME:FieldUtil<PpUnicomCqWhiteLotCU>;
}

class PpUnicomCqWhiteLotCUImpl extends ConditionUtilImpl<PpUnicomCqWhiteLotCUImpl> implements PpUnicomCqWhiteLotCU{ 
    newInstance(): PpUnicomCqWhiteLotCUImpl {
        return new PpUnicomCqWhiteLotCUImpl();
    } 
    get LOT_ID(): FieldUtil<PpUnicomCqWhiteLotCU>{  
        return new FieldUtil('LOT_ID','lotId','车场ID', this);
    }
    get CREATE_TIME(): FieldUtil<PpUnicomCqWhiteLotCU>{  
        return new FieldUtil('CREATE_TIME','createTime','创建时间', this);
    }
}

@Singleton 
class PpUnicomCqWhiteLotMU extends TableUtilImpl<PpUnicomCqWhiteLotCU,PpUnicomCqWhiteLot>{ 
    tableName  = 'pp_unicom_cq_white_lot';
    tableFields  = ['LOT_ID','CREATE_TIME'];
    modelFields  = ['lotId','createTime'];
    modelIdFields  = ['lotId'];
    tableIdFields  = ['LOT_ID'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): PpUnicomCqWhiteLotCU {
        return new PpUnicomCqWhiteLotCUImpl();
    }   

    static get LOT_ID(): FieldUtil<PpUnicomCqWhiteLotCU>{ 
        return new FieldUtil('LOT_ID','lotId','车场ID', new PpUnicomCqWhiteLotCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<PpUnicomCqWhiteLotCU>{ 
        return new FieldUtil('CREATE_TIME','createTime','创建时间', new PpUnicomCqWhiteLotCUImpl());
    }

    get LOT_ID(): FieldUtil<PpUnicomCqWhiteLotCU>{ 
        return PpUnicomCqWhiteLotMU.LOT_ID;
    }
    get CREATE_TIME(): FieldUtil<PpUnicomCqWhiteLotCU>{ 
        return PpUnicomCqWhiteLotMU.CREATE_TIME;
    }
}
export {PpUnicomCqWhiteLotMU, PpUnicomCqWhiteLotCU}
